// Made with Amplify Shader Editor
// Available at the Unity Asset Store - http://u3d.as/y3X 
// ASE_Damage-Cutout 0.91
// jake@jaksville.com
// 2019-03-05

Shader "Jakesville/ASE_Damage_Cutout_091"
{
	Properties
	{
		_Cutoff( "Mask Clip Value", Float ) = 0.99
		_damageHead_01("damageHead_01", Range( 0 , 1)) = 0
		_damageArmLL_01("damageArmLL_01", Range( 0 , 1)) = 0
		_damageArmLR_01("damageArmLR_01", Range( 0 , 1)) = 0
		_damagerArmUL_01("damagerArmUL_01", Range( 0 , 1)) = 0
		_damageArmUR_01("damageArmUR_01", Range( 0 , 1)) = 0
		_damageLegLL_01("damageLegLL_01", Range( 0 , 1)) = 0
		_damageLegLR_01("damageLegLR_01", Range( 0 , 1)) = 0
		_damageLegUL_01("damageLegUL_01", Range( 0 , 1)) = 0
		_damageLegUR_01("damageLegUR_01", Range( 0 , 1)) = 0
		_damageTorsoLL_01("damageTorsoLL_01", Range( 0 , 1)) = 0
		_damageTorsoLR_01("damageTorsoLR_01", Range( 0 , 1)) = 0
		_damageTorsoUL_01("damageTorsoUL_01", Range( 0 , 1)) = 0
		_damageTorsoUR_01("damageTorsoUR_01", Range( 0 , 1)) = 0
		_FrontFacesAlbedo("Front Faces Albedo", 2D) = "white" {}
		_FrontFacesNormal("Front Faces Normal", 2D) = "bump" {}
		_MaskTexture("Mask Texture", 2D) = "white" {}
		_BloodRGB("Blood RGB", Color) = (0.8382353,0,0,0)
		_BloodBright("Blood Bright", Color) = (0.3455882,0,0,0)
		[HideInInspector] _texcoord( "", 2D ) = "white" {}
		[HideInInspector] __dirty( "", Int ) = 1
	}

	SubShader
	{
		Tags{ "RenderType" = "TransparentCutout"  "Queue" = "Geometry+0" }
		Cull Back
		Stencil
		{
			Ref 0
		}
		CGPROGRAM
		#pragma target 4.0
		#pragma surface surf Standard keepalpha addshadow fullforwardshadows 
		struct Input
		{
			float2 uv_texcoord;
		};

		uniform sampler2D _FrontFacesNormal;
		uniform float4 _FrontFacesNormal_ST;
		uniform sampler2D _FrontFacesAlbedo;
		uniform float4 _FrontFacesAlbedo_ST;
		uniform float4 _BloodBright;
		uniform float4 _BloodRGB;
		uniform float _damageHead_01;
		uniform sampler2D _MaskTexture;
		uniform float4 _MaskTexture_ST;
		uniform float _damageTorsoUL_01;
		uniform float _damageTorsoLR_01;
		uniform float _damageTorsoLL_01;
		uniform float _damageTorsoUR_01;
		uniform float _damageLegLL_01;
		uniform float _damageLegLR_01;
		uniform float _damageLegUR_01;
		uniform float _damageLegUL_01;
		uniform float _damageArmLL_01;
		uniform float _damageArmLR_01;
		uniform float _damagerArmUL_01;
		uniform float _damageArmUR_01;
		uniform float _Cutoff = 0.99;

		void surf( Input i , inout SurfaceOutputStandard o )
		{
			float2 uv_FrontFacesNormal = i.uv_texcoord * _FrontFacesNormal_ST.xy + _FrontFacesNormal_ST.zw;
			float3 FrontFacesNormal51 = UnpackNormal( tex2D( _FrontFacesNormal, uv_FrontFacesNormal ) );
			o.Normal = FrontFacesNormal51;
			float2 uv_FrontFacesAlbedo = i.uv_texcoord * _FrontFacesAlbedo_ST.xy + _FrontFacesAlbedo_ST.zw;
			float4 tex2DNode42 = tex2D( _FrontFacesAlbedo, uv_FrontFacesAlbedo );
			float4 FrontFacesAlbedo44 = tex2DNode42;
			float OpacityMask56 = tex2DNode42.a;
			float2 uv_MaskTexture = i.uv_texcoord * _MaskTexture_ST.xy + _MaskTexture_ST.zw;
			float4 tex2DNode399 = tex2D( _MaskTexture, uv_MaskTexture );
			float lerpResult368 = lerp( 0.99 , ( OpacityMask56 + ( 1.0 - _damageHead_01 ) ) , ( step( tex2DNode399.r , ( 0.8060464 + 0.02 ) ) - step( tex2DNode399.r , 0.8060464 ) ));
			float damageHead_VAR100 = lerpResult368;
			float4 tex2DNode487 = tex2D( _MaskTexture, uv_MaskTexture );
			float lerpResult485 = lerp( 1 , ( OpacityMask56 + ( 1.0 - _damageTorsoUL_01 ) ) , ( step( tex2DNode487.r , ( 0.77 + 0.02 ) ) - step( tex2DNode487.r , 0.77 ) ));
			float damageTorsoLL_VAR134 = lerpResult485;
			float4 tex2DNode477 = tex2D( _MaskTexture, uv_MaskTexture );
			float lerpResult475 = lerp( 1 , ( OpacityMask56 + ( 1.0 - _damageTorsoLR_01 ) ) , ( step( tex2DNode477.r , ( 0.6729412 + 0.02 ) ) - step( tex2DNode477.r , 0.6729412 ) ));
			float damageTorsoLR_VAR232 = lerpResult475;
			float4 tex2DNode497 = tex2D( _MaskTexture, uv_MaskTexture );
			float lerpResult495 = lerp( 1 , ( OpacityMask56 + ( 1.0 - _damageTorsoLL_01 ) ) , ( step( tex2DNode497.r , ( 0.6124361 + 0.03 ) ) - step( tex2DNode497.r , 0.6124361 ) ));
			float damageTorsoUL_VAR148 = lerpResult495;
			float4 tex2DNode410 = tex2D( _MaskTexture, uv_MaskTexture );
			float lerpResult418 = lerp( 1 , ( OpacityMask56 + ( 1.0 - _damageTorsoUR_01 ) ) , ( step( tex2DNode410.r , ( 0.7254028 + 0.02 ) ) - step( tex2DNode410.r , 0.7254028 ) ));
			float damageTorsoUR_VAR162 = lerpResult418;
			float4 tex2DNode450 = tex2D( _MaskTexture, uv_MaskTexture );
			float lerpResult457 = lerp( 1 , ( OpacityMask56 + ( 1.0 - _damageLegLL_01 ) ) , ( step( tex2DNode450.r , ( 0.5046158 + 0.02 ) ) - step( tex2DNode450.r , 0.5046158 ) ));
			float damageLegLL_VAR204 = lerpResult457;
			float4 tex2DNode463 = tex2D( _MaskTexture, uv_MaskTexture );
			float lerpResult460 = lerp( 1 , ( OpacityMask56 + ( 1.0 - _damageLegLR_01 ) ) , ( step( tex2DNode463.r , ( 0.5668234 + 0.01 ) ) - step( tex2DNode463.r , 0.5668234 ) ));
			float damageLegLR_VAR203 = lerpResult460;
			float4 tex2DNode436 = tex2D( _MaskTexture, uv_MaskTexture );
			float lerpResult447 = lerp( 1 , ( OpacityMask56 + ( 1.0 - _damageLegUR_01 ) ) , ( step( tex2DNode436.r , ( 0.455 + 0.02 ) ) - step( tex2DNode436.r , 0.455 ) ));
			float damageLegUL_VAR218 = lerpResult447;
			float4 tex2DNode423 = tex2D( _MaskTexture, uv_MaskTexture );
			float lerpResult435 = lerp( 1 , ( OpacityMask56 + ( 1.0 - _damageLegUL_01 ) ) , ( step( tex2DNode423.r , ( 0.4195929 + 0.01 ) ) - step( tex2DNode423.r , 0.4195929 ) ));
			float damageLegUR_VAR217 = lerpResult435;
			float4 tex2DNode499 = tex2D( _MaskTexture, uv_MaskTexture );
			float lerpResult508 = lerp( 1 , ( OpacityMask56 + ( 1.0 - _damageArmLL_01 ) ) , ( step( tex2DNode499.r , ( 0.18 + 0.02 ) ) - step( tex2DNode499.r , 0.18 ) ));
			float damageArmLL_VAR168 = lerpResult508;
			float4 tex2DNode529 = tex2D( _MaskTexture, uv_MaskTexture );
			float lerpResult524 = lerp( 1 , ( OpacityMask56 + ( 1.0 - _damageArmLR_01 ) ) , ( step( tex2DNode529.r , ( 0.3435786 + 0.01 ) ) - step( tex2DNode529.r , 0.3435786 ) ));
			float damageArmLR_VAR176 = lerpResult524;
			float4 tex2DNode518 = tex2D( _MaskTexture, uv_MaskTexture );
			float lerpResult513 = lerp( 1 , ( OpacityMask56 + ( 1.0 - _damagerArmUL_01 ) ) , ( step( tex2DNode518.r , ( 0.2981609 + 0.01 ) ) - step( tex2DNode518.r , 0.2981609 ) ));
			float damageArmUL_VAR183 = lerpResult513;
			float4 tex2DNode540 = tex2D( _MaskTexture, uv_MaskTexture );
			float lerpResult535 = lerp( 1 , ( OpacityMask56 + ( 1.0 - _damageArmUR_01 ) ) , ( step( tex2DNode540.r , ( 0.37 + 0.01 ) ) - step( tex2DNode540.r , 0.37 ) ));
			float damageArmUR_VAR184 = lerpResult535;
			float temp_output_224_0 = ( ( 1.0 * damageHead_VAR100 * damageTorsoLL_VAR134 * damageTorsoLR_VAR232 * damageTorsoUL_VAR148 * damageTorsoUR_VAR162 ) * damageLegLL_VAR204 * damageLegLR_VAR203 * damageLegUL_VAR218 * damageLegUR_VAR217 * damageArmLL_VAR168 * damageArmLR_VAR176 * damageArmUL_VAR183 * damageArmUR_VAR184 * 1.0 );
			float clampResult594 = clamp( floor( ( temp_output_224_0 - -0.01 ) ) , 0 , 1 );
			float4 lerpResult545 = lerp( FrontFacesAlbedo44 , ( _BloodBright + ( FrontFacesAlbedo44 * _BloodRGB ) ) , ( 1.0 - clampResult594 ));
			o.Albedo = lerpResult545.rgb;
			o.Metallic = lerpResult545.r;
			o.Alpha = 1;
			float smoothstepResult582 = smoothstep( 0 , 0.73 , ( temp_output_224_0 - -0.06 ));
			clip( smoothstepResult582 - _Cutoff );
		}

		ENDCG
	}
	Fallback "Diffuse"
	CustomEditor "ASEMaterialInspector"
}
/*ASEBEGIN
Version=14501
2567;126;2175;1094;3364.382;-958.1234;1.305291;True;True
Node;AmplifyShaderEditor.CommentaryNode;375;-1408.133,-773.6295;Float;False;1676.423;691.7502;Comment;12;100;368;366;365;363;99;389;385;391;388;399;593;HEAD DAMAGE;1,1,1,1;0;0
Node;AmplifyShaderEditor.CommentaryNode;377;-3133.658,93.16867;Float;False;1671.689;2310.779;Comment;48;134;162;148;232;136;156;226;142;404;405;406;410;412;413;416;417;418;468;470;471;472;473;474;475;476;477;478;480;481;482;483;484;485;486;487;488;490;491;492;493;494;495;496;497;552;553;554;555;TORSO DAMAGE;1,1,1,1;0;0
Node;AmplifyShaderEditor.RangedFloatNode;488;-3064.941,1117.247;Float;False;Constant;_Float12;Float 12;4;0;Create;True;0;0.6124361;0.75;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.CommentaryNode;52;-3146.523,-769.4886;Float;False;1664.497;704.9467;Comment;5;44;51;50;56;42;MAIN TEXTURES;1,1,1,1;0;0
Node;AmplifyShaderEditor.RangedFloatNode;385;-1247.345,-228.2781;Float;False;Constant;_LowerClip;Lower Clip;4;0;Create;True;0;0.8060464;0.75;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;478;-3066.699,1740.406;Float;False;Constant;_Float10;Float 10;4;0;Create;True;0;0.77;0.75;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.CommentaryNode;371;-4929.739,85.14507;Float;False;1780.816;2283.231;Arms Damage Group;50;176;183;184;168;171;190;177;169;499;500;501;503;504;505;506;507;508;509;510;511;512;513;514;515;518;519;520;521;522;523;524;525;526;529;530;531;532;533;534;535;536;537;540;541;546;547;549;550;551;556;ARM DAMAGE;1,1,1,1;0;0
Node;AmplifyShaderEditor.RangedFloatNode;468;-3058.342,2244.816;Float;False;Constant;_Float8;Float 8;4;0;Create;True;0;0.6729412;0.75;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;412;-3055.157,565.9659;Float;False;Constant;_Float2;Float 2;4;0;Create;True;0;0.7254028;0.75;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.CommentaryNode;374;-1382.028,93.62266;Float;False;1701.24;2283.104;UL LL UR LR;48;203;204;217;218;209;193;207;192;423;425;428;429;430;431;433;434;435;436;438;440;441;442;443;445;446;447;449;450;451;452;453;454;455;456;457;458;459;460;462;463;464;466;467;465;557;558;559;560;LEG DAMAGE;1,1,1,1;0;0
Node;AmplifyShaderEditor.SamplerNode;399;-1306.456,-556.8253;Float;True;Property;_MaskTexture;Mask Texture;17;0;Create;True;0;f32fa304e046a7a45ad60f63ae26df8e;f32fa304e046a7a45ad60f63ae26df8e;True;0;False;white;Auto;False;Object;-1;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;0;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SimpleAddOpNode;552;-2878.828,2140.968;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0.02;False;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;519;-4826.221,1170.333;Float;False;Constant;_Float17;Float 17;4;0;Create;True;0;0.2981609;0.75;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;410;-3059.322,242.432;Float;True;Property;_TextureSample0;Texture Sample 0;17;0;Create;True;0;None;None;True;0;False;white;Auto;False;Instance;399;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;0;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SimpleAddOpNode;554;-2969.387,1010.818;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0.03;False;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;42;-3091.523,-622.6788;Float;True;Property;_FrontFacesAlbedo;Front Faces Albedo;15;0;Create;True;0;3a0f1ca71653f0541b4fe3baaa231638;3a0f1ca71653f0541b4fe3baaa231638;True;0;False;white;Auto;False;Object;-1;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;0;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SimpleAddOpNode;555;-2942.092,442.0443;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0.02;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;553;-2908.997,1599.537;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0.02;False;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;497;-3080.76,813.7617;Float;True;Property;_TextureSample8;Texture Sample 8;17;0;Create;True;0;None;None;True;0;False;white;Auto;False;Instance;399;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;0;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.RangedFloatNode;501;-4831.778,524.5038;Float;False;Constant;_Float15;Float 15;4;0;Create;True;0;0.18;0.75;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;477;-3047.162,1944.33;Float;True;Property;_TextureSample6;Texture Sample 6;17;0;Create;True;0;None;None;True;0;False;white;Auto;False;Instance;399;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;0;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.RangedFloatNode;171;-3879.21,1344.001;Float;False;Property;_damageArmLR_01;damageArmLR_01;3;0;Create;True;0;0;0;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;530;-4827.146,1673.103;Float;False;Constant;_Float19;Float 19;4;0;Create;True;0;0.3435786;0.75;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;428;-1296.354,600.0809;Float;False;Constant;_lowerClipLegUL;lowerClipLegUL;4;0;Create;True;0;0.4195929;0.75;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;190;-3861.143,1910.347;Float;False;Property;_damageArmUR_01;damageArmUR_01;5;0;Create;True;0;0;0;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;440;-1270.87,1198.972;Float;False;Constant;_Float3;Float 3;4;0;Create;True;0;0.455;0.75;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;541;-4826.271,2218.337;Float;False;Constant;_Float21;Float 21;4;0;Create;True;0;0.37;0.75;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;449;-1233.579,1728.644;Float;False;Constant;_Float5;Float 5;4;0;Create;True;0;0.5046158;0.75;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;156;-2059.166,212.3357;Float;False;Property;_damageTorsoUR_01;damageTorsoUR_01;13;0;Create;True;0;0;0;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;136;-2092.059,807.4868;Float;False;Property;_damageTorsoLL_01;damageTorsoLL_01;10;0;Create;True;0;0;0;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;487;-3063.453,1405.812;Float;True;Property;_TextureSample7;Texture Sample 7;17;0;Create;True;0;None;None;True;0;False;white;Auto;False;Instance;399;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;0;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.RangedFloatNode;462;-1259.766,2223.419;Float;False;Constant;_Float7;Float 7;4;0;Create;True;0;0.5668234;0.75;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;142;-2064.07,1375.952;Float;False;Property;_damageTorsoUL_01;damageTorsoUL_01;12;0;Create;True;0;0;1;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;226;-2086.204,1940.016;Float;False;Property;_damageTorsoLR_01;damageTorsoLR_01;11;0;Create;True;0;0;0;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;99;-257.9044,-614.8546;Float;False;Property;_damageHead_01;damageHead_01;1;0;Create;True;0;0;0;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;593;-1125.134,-344.425;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0.02;False;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;423;-1304.518,275.5468;Float;True;Property;_TextureSample2;Texture Sample 2;17;0;Create;True;0;None;None;True;0;False;white;Auto;False;Instance;399;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;0;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.OneMinusNode;470;-2407.196,2085.168;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;529;-4839.838,1363.869;Float;True;Property;_TextureSample11;Texture Sample 11;17;0;Create;True;0;None;None;True;0;False;white;Auto;False;Instance;399;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;0;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.GetLocalVarNode;471;-2430.77,1885.519;Float;True;56;0;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;389;-899.6616,-555.0295;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.WireNode;546;-4483.451,1096.698;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;556;-4716.941,1554.747;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0.01;False;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;482;-2710.96,1632.278;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;56;-2483.422,-484.1098;Float;True;OpacityMask;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.OneMinusNode;363;-606.2894,-485.1281;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.OneMinusNode;490;-2440.795,954.5999;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;388;-898.6046,-312.3658;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;365;-644.3862,-700.9133;Float;True;56;0;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;416;-2706.416,481.8778;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;558;-1123.415,1095.199;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0.02;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;557;-1147.604,484.4076;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0.01;False;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;486;-2711.665,1421.379;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;540;-4835.682,1916.924;Float;True;Property;_TextureSample12;Texture Sample 12;17;0;Create;True;0;None;None;True;0;False;white;Auto;False;Instance;399;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;0;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.StepOpNode;413;-2707.474,239.2149;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;207;-292.1674,901.7515;Float;False;Property;_damageLegUR_01;damageLegUR_01;9;0;Create;True;0;0;0;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;472;-2694.669,2170.796;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.OneMinusNode;406;-2404.346,235.338;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;492;-2728.268,1040.228;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.OneMinusNode;480;-2423.487,1546.65;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;450;-1241.744,1404.111;Float;True;Property;_TextureSample4;Texture Sample 4;17;0;Create;True;0;None;None;True;0;False;white;Auto;False;Instance;399;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;0;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.RangedFloatNode;177;-3904.737,820.3804;Float;False;Property;_damagerArmUL_01;damagerArmUL_01;4;0;Create;True;0;0;0;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;192;-251.6469,1437.743;Float;False;Property;_damageLegLL_01;damageLegLL_01;6;0;Create;True;0;0;0;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;518;-4842.633,847.9213;Float;True;Property;_TextureSample10;Texture Sample 10;17;0;Create;True;0;None;None;True;0;False;white;Auto;False;Instance;399;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;0;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;499;-4834.591,217.4913;Float;True;Property;_TextureSample9;Texture Sample 9;17;0;Create;True;0;None;None;True;0;False;white;Auto;False;Instance;399;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;0;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.StepOpNode;476;-2695.374,1959.897;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;463;-1275.586,1919.935;Float;True;Property;_TextureSample5;Texture Sample 5;17;0;Create;True;0;None;None;True;0;False;white;Auto;False;Instance;399;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;0;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.GetLocalVarNode;491;-2464.369,754.9506;Float;False;56;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;193;-278.6882,1940.053;Float;False;Property;_damageLegLR_01;damageLegLR_01;7;0;Create;True;0;0;0;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;169;-3851.659,220.7323;Float;False;Property;_damageArmLL_01;damageArmLL_01;2;0;Create;True;0;0;0;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;405;-2414.51,132.1826;Float;False;56;0;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;436;-1279.034,874.4395;Float;True;Property;_TextureSample3;Texture Sample 3;17;0;Create;True;0;None;None;True;0;False;white;Auto;False;Instance;399;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;0;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.GetLocalVarNode;481;-2447.061,1347.001;Float;True;56;0;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;551;-4729.758,2114.109;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0.01;False;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;496;-2728.973,829.3286;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.WireNode;547;-4457.069,1651.485;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;559;-1088.183,1613.09;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0.02;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;550;-4700.088,1045.843;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0.01;False;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;209;-327.7786,334.8325;Float;False;Property;_damageLegUL_01;damageLegUL_01;8;0;Create;True;0;0;0;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;560;-1118.231,2110.563;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0.01;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;549;-4733.394,418.9708;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0.02;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;431;-693.4531,202.6345;Float;True;56;0;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;531;-4206.947,1832.187;Float;False;56;0;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;500;-4495.902,210.0889;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;515;-4485.957,1007.805;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.OneMinusNode;430;-655.3563,418.42;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;505;-4237.118,128.5753;Float;True;56;0;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;493;-2248.464,839.5977;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;473;-2214.865,1970.166;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;464;-923.7971,1935.502;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;443;-667.0685,760.8374;Float;True;56;0;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;514;-4489.542,795.7185;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleSubtractOpNode;474;-2422.638,2164.408;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.OneMinusNode;441;-631.2752,972.0154;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;453;-644.3013,1345.372;Float;True;56;0;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;429;-951.2654,470.762;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;404;-2223.174,257.233;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;483;-2231.156,1431.648;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.OneMinusNode;532;-4191.218,1939.112;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;509;-4213.897,763.1829;Float;False;56;0;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;526;-4483.163,1523.752;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleSubtractOpNode;417;-2422.642,343.0923;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;442;-928.1967,1091.797;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;438;-933.119,869.2012;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.OneMinusNode;521;-4198.103,1390.148;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleSubtractOpNode;494;-2456.237,1033.84;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;452;-896.9054,1643.556;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.OneMinusNode;510;-4191.348,831.357;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;465;-923.0921,2146.399;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.OneMinusNode;466;-635.6183,2060.773;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleSubtractOpNode;484;-2438.929,1625.89;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;503;-4479.516,433.3748;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.OneMinusNode;451;-615.8859,1553.089;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;537;-4479.007,2076.807;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;536;-4482.592,1864.723;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;525;-4486.748,1311.666;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;425;-950.5251,273.0306;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;458;-659.1929,1861.124;Float;True;56;0;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleSubtractOpNode;391;-634.6639,-387.0254;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;366;-441.1853,-606.2897;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.StepOpNode;454;-897.9104,1429.731;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;520;-4211.103,1279.131;Float;False;56;0;1;FLOAT;0
Node;AmplifyShaderEditor.OneMinusNode;504;-4215.841,318.1694;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;507;-3980.325,260.096;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleSubtractOpNode;446;-638.6498,1057.745;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleSubtractOpNode;456;-626.4877,1630.714;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.LerpOp;475;-2060.892,2057.46;Float;True;3;0;FLOAT;1;False;1;FLOAT;0;False;2;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;445;-439.8678,866.4611;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;534;-4006.594,1965.251;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleSubtractOpNode;433;-664.5281,491.4136;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;523;-4010.754,1412.195;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;434;-466.2525,308.2584;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;512;-4013.547,896.2476;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleSubtractOpNode;506;-4226.051,482.7969;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.LerpOp;418;-2076.673,314.2142;Float;True;3;0;FLOAT;1;False;1;FLOAT;0;False;2;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.LerpOp;485;-2077.183,1518.942;Float;True;3;0;FLOAT;1;False;1;FLOAT;0;False;2;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.LerpOp;495;-2094.49,926.8918;Float;True;3;0;FLOAT;1;False;1;FLOAT;0;False;2;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;459;-443.2875,1945.771;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleSubtractOpNode;467;-651.0608,2140.011;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.LerpOp;368;-309.0127,-457.6453;Float;True;3;0;FLOAT;0.99;False;1;FLOAT;1;False;2;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleSubtractOpNode;533;-4216.127,2066.661;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleSubtractOpNode;522;-4220.283,1513.605;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;455;-417.1005,1450.996;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleSubtractOpNode;511;-4223.077,997.6577;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.CommentaryNode;376;897.3318,-74.25623;Float;False;1406.584;1714.295;Comment;33;64;59;224;62;151;220;121;153;152;222;154;221;223;122;225;149;102;150;135;543;545;564;566;571;573;582;585;587;591;398;592;594;596;OUTPUT;1,1,1,1;0;0
Node;AmplifyShaderEditor.LerpOp;524;-3864.254,1469.177;Float;True;3;0;FLOAT;1;False;1;FLOAT;0;False;2;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;150;990.0379,674.6079;Float;False;162;0;1;FLOAT;0
Node;AmplifyShaderEditor.LerpOp;435;-312.2797,454.9029;Float;True;3;0;FLOAT;1;False;1;FLOAT;0;False;2;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.LerpOp;535;-3860.09,2022.233;Float;True;3;0;FLOAT;1;False;1;FLOAT;0;False;2;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;162;-1765.521,378.8097;Float;False;damageTorsoUR_VAR;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.LerpOp;457;-263.128,1538.289;Float;True;3;0;FLOAT;1;False;1;FLOAT;0;False;2;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;122;1023.986,261.4876;Float;False;Constant;_WHITE;WHITE;10;0;Create;True;0;1;0;0;0;0;1;FLOAT;0
Node;AmplifyShaderEditor.LerpOp;508;-3819.424,318.6772;Float;True;3;0;FLOAT;1;False;1;FLOAT;0;False;2;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.LerpOp;513;-3867.047,953.2289;Float;True;3;0;FLOAT;1;False;1;FLOAT;0;False;2;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.LerpOp;460;-289.315,2033.065;Float;True;3;0;FLOAT;1;False;1;FLOAT;0;False;2;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.LerpOp;447;-276.681,1041.288;Float;True;3;0;FLOAT;1;False;1;FLOAT;0;False;2;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;149;989.0379,596.6082;Float;False;148;0;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;100;3,-421.1;Float;True;damageHead_VAR;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;232;-1804.259,2065.455;Float;False;damageTorsoLR_VAR;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;225;992.1199,519.538;Float;False;232;0;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;135;990.6736,446.3889;Float;False;134;0;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;134;-1781.734,1678.196;Float;False;damageTorsoLL_VAR;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;102;991.1797,364.3778;Float;False;100;0;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;148;-1760.065,1086.784;Float;False;damageTorsoUL_VAR;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleMultiplyOpNode;121;1308,471.4241;Float;True;6;6;0;FLOAT;0;False;1;FLOAT;0;False;2;FLOAT;0;False;3;FLOAT;0;False;4;FLOAT;0;False;5;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;154;994.9998,1448.825;Float;False;184;0;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;204;-10.04836,1634.635;Float;False;damageLegLL_VAR;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;153;994.7269,1372.536;Float;False;183;0;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;152;994.6439,1297.655;Float;False;176;0;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;217;-75.18047,527.3942;Float;False;damageLegUR_VAR;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;183;-3502.367,1036.636;Float;False;damageArmUL_VAR;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;203;-12.74538,2111.651;Float;False;damageLegLR_VAR;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;184;-3526.914,2138.125;Float;False;damageArmUR_VAR;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;218;-28.84525,1019.322;Float;False;damageLegUL_VAR;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;221;992.6409,909.1922;Float;False;203;0;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;168;-3561.379,330.0679;Float;True;damageArmLL_VAR;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;222;993.8875,1071.635;Float;False;217;0;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;176;-3494.004,1534.383;Float;False;damageArmLR_VAR;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;151;996.0848,1225.356;Float;False;168;0;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;220;993.574,828.5562;Float;False;204;0;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;223;993.8318,991.1852;Float;False;218;0;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleMultiplyOpNode;224;1319.23,787.3528;Float;True;10;10;0;FLOAT;0;False;1;FLOAT;0;False;2;FLOAT;0;False;3;FLOAT;0;False;4;FLOAT;0;False;5;FLOAT;0;False;6;FLOAT;0;False;7;FLOAT;0;False;8;FLOAT;0;False;9;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleSubtractOpNode;587;1532.422,722.5728;Float;False;2;0;FLOAT;0;False;1;FLOAT;-0.01;False;1;FLOAT;0
Node;AmplifyShaderEditor.FloorOpNode;571;1570.391,466.3979;Float;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.ColorNode;543;1025.098,74.56848;Float;False;Property;_BloodRGB;Blood RGB;18;0;Create;True;0;0.8382353,0,0,0;0.8382353,0,0,0;0;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.RegisterLocalVarNode;44;-2527.599,-587.8201;Float;False;FrontFacesAlbedo;-1;True;1;0;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.GetLocalVarNode;59;984.5915,-12.41677;Float;False;44;0;1;COLOR;0
Node;AmplifyShaderEditor.SimpleMultiplyOpNode;585;1318.046,159.8246;Float;True;2;2;0;COLOR;0,0,0,0;False;1;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.ClampOpNode;594;1586.931,326.1876;Float;False;3;0;FLOAT;0;False;1;FLOAT;0;False;2;FLOAT;1;False;1;FLOAT;0
Node;AmplifyShaderEditor.ColorNode;596;1310.273,-18.5952;Float;False;Property;_BloodBright;Blood Bright;19;0;Create;True;0;0.3455882,0,0,0;0.3455882,0,0,0;0;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.OneMinusNode;566;1741.97,315.9923;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;591;1582.754,61.56378;Float;True;2;2;0;COLOR;0,0,0,0;False;1;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.SamplerNode;50;-3082.707,-325.7518;Float;True;Property;_FrontFacesNormal;Front Faces Normal;16;0;Create;True;0;07ad0c720e467794290af15557d06bc4;07ad0c720e467794290af15557d06bc4;True;0;True;bump;Auto;True;Object;-1;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SimpleSubtractOpNode;573;1553.227,869.1583;Float;True;2;0;FLOAT;0;False;1;FLOAT;-0.06;False;1;FLOAT;0
Node;AmplifyShaderEditor.SmoothstepOpNode;582;1713.404,727.9171;Float;True;3;0;FLOAT;0;False;1;FLOAT;0;False;2;FLOAT;0.73;False;1;FLOAT;0
Node;AmplifyShaderEditor.LerpOp;545;1833.932,-18.15075;Float;True;3;0;COLOR;0,0,0,0;False;1;COLOR;0,0,0,0;False;2;FLOAT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.GetLocalVarNode;62;1771.97,508.2525;Float;False;51;0;1;FLOAT3;0
Node;AmplifyShaderEditor.RangedFloatNode;64;2018.091,891.3705;Float;False;Property;_VertexOffsetDISPLACE;Vertex Offset DISPLACE;14;0;Create;True;0;0.29;1.74;0;0;0;1;FLOAT;0
Node;AmplifyShaderEditor.OneMinusNode;592;1827.154,608.8637;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;51;-2717.384,-201.5917;Float;False;FrontFacesNormal;-1;True;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.GetLocalVarNode;564;1770.985,405.5857;Float;False;56;0;1;FLOAT;0
Node;AmplifyShaderEditor.StandardSurfaceOutputNode;398;2091.898,428.2192;Float;False;True;4;Float;ASEMaterialInspector;0;0;Standard;Zombie/ASE_Zombie_CLIPs;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;Back;0;0;False;0;0;False;0;Custom;0.99;True;True;0;True;TransparentCutout;;Geometry;All;True;True;True;True;True;True;True;True;True;True;True;True;True;True;True;True;True;True;0;255;255;0;0;0;0;0;0;0;0;False;2;15;10;25;False;0.5;True;0;Zero;Zero;0;Zero;Zero;OFF;OFF;0;False;0;0,0,0,0;VertexOffset;True;False;Cylindrical;False;Relative;0;;0;-1;-1;-1;0;0;0;False;0;0;16;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT;0;False;4;FLOAT;0;False;5;FLOAT;0;False;6;FLOAT3;0,0,0;False;7;FLOAT3;0,0,0;False;8;FLOAT;0;False;9;FLOAT;0;False;10;FLOAT;0;False;13;FLOAT3;0,0,0;False;11;FLOAT3;0,0,0;False;12;FLOAT3;0,0,0;False;14;FLOAT4;0,0,0,0;False;15;FLOAT3;0,0,0;False;0
WireConnection;552;0;468;0
WireConnection;554;0;488;0
WireConnection;555;0;412;0
WireConnection;553;0;478;0
WireConnection;593;0;385;0
WireConnection;470;0;226;0
WireConnection;389;0;399;1
WireConnection;389;1;593;0
WireConnection;546;0;171;0
WireConnection;556;0;530;0
WireConnection;482;0;487;1
WireConnection;482;1;478;0
WireConnection;56;0;42;4
WireConnection;363;0;99;0
WireConnection;490;0;136;0
WireConnection;388;0;399;1
WireConnection;388;1;385;0
WireConnection;416;0;410;1
WireConnection;416;1;412;0
WireConnection;558;0;440;0
WireConnection;557;0;428;0
WireConnection;486;0;487;1
WireConnection;486;1;553;0
WireConnection;413;0;410;1
WireConnection;413;1;555;0
WireConnection;472;0;477;1
WireConnection;472;1;468;0
WireConnection;406;0;156;0
WireConnection;492;0;497;1
WireConnection;492;1;488;0
WireConnection;480;0;142;0
WireConnection;476;0;477;1
WireConnection;476;1;552;0
WireConnection;551;0;541;0
WireConnection;496;0;497;1
WireConnection;496;1;554;0
WireConnection;547;0;190;0
WireConnection;559;0;449;0
WireConnection;550;0;519;0
WireConnection;560;0;462;0
WireConnection;549;0;501;0
WireConnection;500;0;499;1
WireConnection;500;1;549;0
WireConnection;515;0;518;1
WireConnection;515;1;519;0
WireConnection;430;0;209;0
WireConnection;493;0;491;0
WireConnection;493;1;490;0
WireConnection;473;0;471;0
WireConnection;473;1;470;0
WireConnection;464;0;463;1
WireConnection;464;1;560;0
WireConnection;514;0;518;1
WireConnection;514;1;550;0
WireConnection;474;0;476;0
WireConnection;474;1;472;0
WireConnection;441;0;207;0
WireConnection;429;0;423;1
WireConnection;429;1;428;0
WireConnection;404;0;405;0
WireConnection;404;1;406;0
WireConnection;483;0;481;0
WireConnection;483;1;480;0
WireConnection;532;0;547;0
WireConnection;526;0;529;1
WireConnection;526;1;530;0
WireConnection;417;0;413;0
WireConnection;417;1;416;0
WireConnection;442;0;436;1
WireConnection;442;1;440;0
WireConnection;438;0;436;1
WireConnection;438;1;558;0
WireConnection;521;0;546;0
WireConnection;494;0;496;0
WireConnection;494;1;492;0
WireConnection;452;0;450;1
WireConnection;452;1;449;0
WireConnection;510;0;177;0
WireConnection;465;0;463;1
WireConnection;465;1;462;0
WireConnection;466;0;193;0
WireConnection;484;0;486;0
WireConnection;484;1;482;0
WireConnection;503;0;499;1
WireConnection;503;1;501;0
WireConnection;451;0;192;0
WireConnection;537;0;540;1
WireConnection;537;1;541;0
WireConnection;536;0;540;1
WireConnection;536;1;551;0
WireConnection;525;0;529;1
WireConnection;525;1;556;0
WireConnection;425;0;423;1
WireConnection;425;1;557;0
WireConnection;391;0;389;0
WireConnection;391;1;388;0
WireConnection;366;0;365;0
WireConnection;366;1;363;0
WireConnection;454;0;450;1
WireConnection;454;1;559;0
WireConnection;504;0;169;0
WireConnection;507;0;505;0
WireConnection;507;1;504;0
WireConnection;446;0;438;0
WireConnection;446;1;442;0
WireConnection;456;0;454;0
WireConnection;456;1;452;0
WireConnection;475;1;473;0
WireConnection;475;2;474;0
WireConnection;445;0;443;0
WireConnection;445;1;441;0
WireConnection;534;0;531;0
WireConnection;534;1;532;0
WireConnection;433;0;425;0
WireConnection;433;1;429;0
WireConnection;523;0;520;0
WireConnection;523;1;521;0
WireConnection;434;0;431;0
WireConnection;434;1;430;0
WireConnection;512;0;509;0
WireConnection;512;1;510;0
WireConnection;506;0;500;0
WireConnection;506;1;503;0
WireConnection;418;1;404;0
WireConnection;418;2;417;0
WireConnection;485;1;483;0
WireConnection;485;2;484;0
WireConnection;495;1;493;0
WireConnection;495;2;494;0
WireConnection;459;0;458;0
WireConnection;459;1;466;0
WireConnection;467;0;464;0
WireConnection;467;1;465;0
WireConnection;368;1;366;0
WireConnection;368;2;391;0
WireConnection;533;0;536;0
WireConnection;533;1;537;0
WireConnection;522;0;525;0
WireConnection;522;1;526;0
WireConnection;455;0;453;0
WireConnection;455;1;451;0
WireConnection;511;0;514;0
WireConnection;511;1;515;0
WireConnection;524;1;523;0
WireConnection;524;2;522;0
WireConnection;435;1;434;0
WireConnection;435;2;433;0
WireConnection;535;1;534;0
WireConnection;535;2;533;0
WireConnection;162;0;418;0
WireConnection;457;1;455;0
WireConnection;457;2;456;0
WireConnection;508;1;507;0
WireConnection;508;2;506;0
WireConnection;513;1;512;0
WireConnection;513;2;511;0
WireConnection;460;1;459;0
WireConnection;460;2;467;0
WireConnection;447;1;445;0
WireConnection;447;2;446;0
WireConnection;100;0;368;0
WireConnection;232;0;475;0
WireConnection;134;0;485;0
WireConnection;148;0;495;0
WireConnection;121;0;122;0
WireConnection;121;1;102;0
WireConnection;121;2;135;0
WireConnection;121;3;225;0
WireConnection;121;4;149;0
WireConnection;121;5;150;0
WireConnection;204;0;457;0
WireConnection;217;0;435;0
WireConnection;183;0;513;0
WireConnection;203;0;460;0
WireConnection;184;0;535;0
WireConnection;218;0;447;0
WireConnection;168;0;508;0
WireConnection;176;0;524;0
WireConnection;224;0;121;0
WireConnection;224;1;220;0
WireConnection;224;2;221;0
WireConnection;224;3;223;0
WireConnection;224;4;222;0
WireConnection;224;5;151;0
WireConnection;224;6;152;0
WireConnection;224;7;153;0
WireConnection;224;8;154;0
WireConnection;224;9;122;0
WireConnection;587;0;224;0
WireConnection;571;0;587;0
WireConnection;44;0;42;0
WireConnection;585;0;59;0
WireConnection;585;1;543;0
WireConnection;594;0;571;0
WireConnection;566;0;594;0
WireConnection;591;0;596;0
WireConnection;591;1;585;0
WireConnection;573;0;224;0
WireConnection;582;0;573;0
WireConnection;545;0;59;0
WireConnection;545;1;591;0
WireConnection;545;2;566;0
WireConnection;592;0;582;0
WireConnection;51;0;50;0
WireConnection;398;0;545;0
WireConnection;398;1;62;0
WireConnection;398;3;545;0
WireConnection;398;10;582;0
ASEEND*/
//CHKSM=27C9658E36E3BE1FE6753BC8F089C24644025627